#ifndef _EXTENSIONS_H_
#define _EXTENSIONS_H_

// Variables

// Support Tracking Vars
extern int UseMultitexture;

// "Public" Functions
int ExtensionCheck();

// Compressed Textures
void glCompressedTexImage2DARB (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data);

// VBO
/*
void glGenBuffersARB (GLsizei n, GLuint *buffers);
void glBindBufferARB (GLenum a, GLint b);
void glBufferDataARB (GLenum target, GLsizeiptrARB size, const GLvoid *data, GLenum usage);
void glBufferSubDataARB (GLenum target, GLintptrARB offset, GLsizeiptrARB size, const GLvoid *data);
void glDeleteBuffersARB (GLsizei n, const GLuint *buffers);
*/

// Shaders
/*
GLhandleARB glCreateProgram();
GLhandleARB glCreateShader (GLenum shaderType);
void glShaderSource (GLhandleARB shaderObj, GLsizei count, const GLcharARB* *string, const GLint *length);
void glCompileShader (GLhandleARB shaderObj);
void glGetShaderInfoLog (GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *infoLog);
void glGetShaderSource (GLhandleARB obj, GLsizei maxLength, GLsizei *length, GLcharARB *source);
void glGetShaderiv (GLuint shader, GLenum pname, GLint *params);
void glDeleteShader (GLuint shader);
void glDeleteProgram (GLuint program);
void glGetProgramInfoLog (GLuint program, GLsizei bufSize, GLsizei *length, GLchar *infoLog);
void glValidateProgram (GLhandleARB programObj);
void glGetProgramiv (GLuint program, GLenum pname, GLint *params);
void glAttachShader (GLuint program, GLuint shader);
void glDetachShader (GLuint program, GLuint shader);
void glLinkProgram (GLuint program);
void glUseProgram (GLuint program);
void glBindAttribLocation (GLuint program, GLuint index, const GLchar *name);
GLint glGetAttribLocation (GLuint program, const GLchar *name);
void glGetActiveAttrib (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name);
void glGetActiveUniform (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name);
void glGetAttachedShaders (GLuint program, GLsizei maxCount, GLsizei *count, GLuint *obj);
GLint glGetUniformLocation (GLuint program, const GLchar *name);
void glUniform1f (GLint location, GLfloat v0);
void glUniform2f (GLint location, GLfloat v0, GLfloat v1);
void glUniform3f (GLint location, GLfloat v0, GLfloat v1, GLfloat v2);
void glUniform4f (GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3);
void glUniform1i (GLint location, GLint v0);
void glUniform2i (GLint location, GLint v0, GLint v1);
void glUniform3i (GLint location, GLint v0, GLint v1, GLint v2);
void glUniform4i (GLint location, GLint v0, GLint v1, GLint v2, GLint v3);
void glUniformMatrix2fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
void glUniformMatrix3fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
void glUniformMatrix4fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value);
*/

#endif /*EXTENSIONS_H_*/
