#ifndef _TEXTURE_H_
#define _TEXTURE_H_

// this uses physfs

typedef struct TextureRef_s
{
	GLuint textureID; // ID of texture that is loaded into OpenGL already
	char * filename; // For searching purposes

	//GLuint   bpp;
	GLuint   width;
	GLuint   height;
	
	struct TextureRef_s * next;
} TextureRef_t;

TextureRef_t *	GetTexture(const char* filename, int ForceReload);
int 			RemoveTexture(const char* filename);
void 			FreeTextureData();

//int LoadTGATexture(Texture *texture, char* filename);

#endif
