#ifndef _FONT_H_
#define _FONT_H_

//character structure
typedef struct
{
    GLfloat dx, dy;
    GLfloat tx1, tx2;
    GLfloat ty1, ty2;
} fontchar_t;

//font structure
typedef struct
{
	TextureRef_t * texture;
    int IntStart, IntEnd;
    fontchar_t Char[96];
} font_t;

int InitFonts();
int DrawFontText(const char *String, float x, float y, float z, int UseBillboard, float zoomlevel);
int GetFontTextLength(char *String);

#endif
